print/podofo - The NetBSD Packages Collection

Library to work with the PDF file format

PoDoFo is a library to work with the PDF file format. The name
comes from the first letter of PDF (Portable Document Format). A
few tools to work with PDF files are already included in the PoDoFo
package.

The PoDoFo library is a free, portable C++ library which includes
classes to parse PDF files and modify their contents into memory.
The changes can be written back to disk easily. The parser can also
be used to extract information from a PDF file (for example the
parser could be used in a PDF viewer). Besides parsing PoDoFo
includes also very simple classes to create your own PDF files.
All classes are documented so it is easy to start writing your own
application using PoDoFo.

Build dependencies

pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/libidn fonts/fontconfig fonts/fontconfig graphics/freetype2 graphics/freetype2 graphics/png graphics/tiff textproc/libunistring devel/libidn fonts/fontconfig graphics/png graphics/tiff textproc/libunistring

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 8.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 8.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 8.0i386podofo-0.9.6nb2.tgz
NetBSD 8.0i386podofo-0.9.6nb2.tgz
NetBSD 8.0i386podofo-0.9.6nb2.tgz
NetBSD 8.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 8.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 8.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 8.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 8.0x86_64podofo-0.9.6nb2.tgz
NetBSD 8.0x86_64podofo-0.9.6nb2.tgz
NetBSD 8.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0aarch64podofo-0.9.6nb2.tgz
NetBSD 9.0aarch64podofo-0.9.6nb2.tgz
NetBSD 9.0aarch64podofo-0.9.6nb2.tgz
NetBSD 9.0alphapodofo-0.9.6nb2.tgz
NetBSD 9.0alphapodofo-0.9.6nb2.tgz
NetBSD 9.0alphapodofo-0.9.6nb2.tgz
NetBSD 9.0earmpodofo-0.9.6nb2.tgz
NetBSD 9.0earmpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv6hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv6hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv6hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv6hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 9.0earmv7hfpodofo-0.9.6nb2.tgz
NetBSD 9.0i386podofo-0.9.6nb2.tgz
NetBSD 9.0i386podofo-0.9.6nb2.tgz
NetBSD 9.0i386podofo-0.9.6nb2.tgz
NetBSD 9.0mips64ebpodofo-0.9.6nb2.tgz
NetBSD 9.0mips64ebpodofo-0.9.6nb2.tgz
NetBSD 9.0mips64ebpodofo-0.9.6nb2.tgz
NetBSD 9.0mipselpodofo-0.9.6nb2.tgz
NetBSD 9.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 9.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 9.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 9.0powerpcpodofo-0.9.6nb2.tgz
NetBSD 9.0sh3elpodofo-0.9.6nb2.tgz
NetBSD 9.0sh3elpodofo-0.9.6nb2.tgz
NetBSD 9.0sparc64podofo-0.9.6nb2.tgz
NetBSD 9.0sparc64podofo-0.9.6nb1.tgz
NetBSD 9.0sparc64podofo-0.9.6nb2.tgz
NetBSD 9.0sparc64podofo-0.9.6nb2.tgz
NetBSD 9.0sparcpodofo-0.9.6nb2.tgz
NetBSD 9.0sparcpodofo-0.9.6nb2.tgz
NetBSD 9.0sparcpodofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz
NetBSD 9.0x86_64podofo-0.9.6nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

lua
Enable Lua support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.